html,body {margin: 0px; padding: 0px; height:100%; overflow: hidden; }
body {overflow: auto; }
body * {box-sizing: border-box; }
ul,ol,li {list-style: none; margin:0; padding:0;}
a,a:visited {color: #5fc8d5;}

.clearfix {overflow: auto;}
.clearfix:after {display: block; content:''; clear: both; }

/*动画*/
@-webkit-keyframes loading { 100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); } }
@keyframes loading { 100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }}

@-webkit-keyframes -webkit-fadeInUp {
  from { opacity: 0; -webkit-transform: translate3d(0, 100%, 0); }
  to { opacity: 1; -webkit-transform: none; }
}

@keyframes -webkit-fadeInUp {
  from { opacity: 0; -webkit-transform: translate3d(0, 100%, 0); }
  to { opacity: 1; -webkit-transform: none; }
}
@-webkit-keyframes fadeInUp {
  from { opacity: 0; -webkit-transform: translate3d(0, 100%, 0); transform: translate3d(0, 100%, 0); }
  to { opacity: 1; -webkit-transform: none; transform: none; }
}
@keyframes fadeInUp {
  from { opacity: 0; -webkit-transform: translate3d(0, 100%, 0); transform: translate3d(0, 100%, 0); }
  to { opacity: 1; -webkit-transform: none; transform: none; }
}
@-webkit-keyframes -webkit-fadeInDown {
  from { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); }
  to { opacity: 1; -webkit-transform: none; }
}
@keyframes -webkit-fadeInDown {
  from { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); }
  to { opacity: 1; -webkit-transform: none; }
}
@-webkit-keyframes fadeInDown {
  from { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }
  to { opacity: 1; -webkit-transform: none; transform: none; }
}
@keyframes fadeInDown {
  from { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }
  to { opacity: 1; -webkit-transform: none; transform: none; }
}
@-webkit-keyframes fadeOutUp {
  from { opacity: 1; }
  to { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); }
}
@keyframes fadeOutUp {
  from { opacity: 1; }
  to { opacity: 0; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }
}
.loading { position: relative; }
.loading:after { content:''; position: absolute; border-radius:50%; -webkit-animation: loading 1s linear infinite; animation: loading 1s linear infinite; width: 2rem; height: 2rem; margin: -1rem; border: 2px solid #008ed0; border-top-color: rgba(255, 255, 255, 0); z-index: 222222222; top: 50%; left: 50%; }
.logo { display: inline-block; width: 82px; height: 52px; background-image: url('../imgs/logo.png'); background-size: contain; background-repeat: no-repeat; }

/*页头*/
.navbar {height: 95px; margin:0; padding: 16px; position: relative; z-index: 1; box-shadow: 0 0 10px rgba(0,0,0,0.2); border-radius:0 !important; }
.navbar .left{ padding-left: 28px; white-space:nowrap; }
.navbar .left .logo{ float: left; }
.navbar .left h1{ font-size : 28px; padding: 18px; margin: 0 80px 0 80px; white-space: nowrap; overflow:hidden; text-overflow: ellipsis; }
.navbar .right{ position: absolute; right: 24px; top: 50%; transform: translateY(-50%); }

/*页面主体和侧边栏*/
.page-main {padding: 1em; min-height: calc(100% - 203px); position: relative; background-color:#fff; }
.sidebar, #main { display: block;}
.sidebar{ position:absolute; left:0; top:0; background-color:#fff; bottom:0; overflow: auto; margin:0; padding:1em; border-right: 1px solid #eee; width: 200px; }
.sidebar h3{font-size: 16px; margin-top:0;}
.sidebar ul{ margin-left: 1em; }
.sidebar ul li a{ display: block; color: #333; padding: 8px 0;}
#main { margin-left: 200px; }
.page-main .page-title {font-size: 18px; font-weight: 400; margin: -1em -.8em 1em; padding: 1em; background-color:#f6f6f6; border-bottom:1px solid #eee; }

/*页尾*/
.footer { overflow: auto; background-color: #f2f2f2; padding: 24px 0;}
.footer:after {content: ''; display:block; clear:both; }
.footer .bottom-logo, .footer .copyright{ float:left; }
.footer .bottom-logo{ width: 45%; text-align: right; padding-right: 24px; border-right: 1px solid #d2d2d2; }
.footer .copyright { width: 55%; padding-left: 24px; }

.tab-pane .panel{ border-top: 0px; border-radius: 0 0 5px 5px;}

/*数据表格*/
.table thead {}
.table thead th,
.table thead td { background-color:#f7941e; font-weight:400; color:#000; text-shadow:0 1px 0 rgba(255,255,255,0.3); }
.grid-filter .form-group {margin:0 1em 8px 0; border-radius: 5px;}
.grid-filter .btn,
.grid-filter .form-control {padding: 1px 8px; height: 30px;}
.grid-filter .form-control {min-width: 64px;}
.grid-filter .form-group label{ font-weight:400;}
.grid-filter .btn-primary,
.grid-filter .btn-primary:active{
    background-image: -webkit-linear-gradient(top,rgba(0,0,0,0) 0,rgba(0,0,0,0) 100%);
    background-image: -o-linear-gradient(top,rgba(0,0,0,0) 0,rgba(0,0,0,0) 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(rgba(0,0,0,0)),to(rgba(0,0,0,0)));
    background-image: linear-gradient(to bottom,rgba(0,0,0,0) 0,rgba(0,0,0,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='rgba(0,0,0,0)', endColorstr='rgba(0,0,0,0)', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    background-repeat: repeat-x;
    border-color: rgba(0,0,0,0);
    background-color: #f7941e;
    color: #fff;
    box-shadow: none;
}

.tools .btn-primary,
.tools .btn-primary:visited,
.tools .btn-primary:hover,
.tools .btn-primary.active:focus,
.tools .btn-primary:active,
.tools .btn-primary:focus{
    background-image: -webkit-linear-gradient(top,rgba(0,0,0,0) 0,rgba(0,0,0,0.1) 100%);
    background-image: -o-linear-gradient(top,rgba(0,0,0,0) 0,rgba(0,0,0,0.1) 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(rgba(0,0,0,0)),to(rgba(0,0,0,0.1)));
    background-image: linear-gradient(to bottom,rgba(0,0,0,0) 0,rgba(0,0,0,0.1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='rgba(0,0,0,0)', endColorstr='rgba(0,0,0,0.1)', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    background-repeat: repeat-x;
    border-color: rgba(0,0,0,0.2);
    background-color: #f7941e;
    color: #fff;
    box-shadow: none;
}

.gridTools{padding: 4px 8px; background: #f6f6f6;}
.gridTools .btn{margin-top: 4px; margin-bottom: 4px;}

.table .checkbox {margin:0;}
.table .checkbox label {position:static; margin:0px; padding:0;}
.table .checkbox input[type=checkbox] {position:static; margin:0px;}
.table.dataTable>thead>tr>td,
.table.dataTable>thead>tr>th {border-color: rgba(0,0,0,0.3); color:#000; border-bottom:0; padding:4px 6px; height:36px; line-height: 1em; vertical-align: middle; border-bottom-width: 3px; white-space: normal; word-break: keep-all;}
.table.dataTable>tbody>tr>td,
.table.dataTable>tbody>tr>th {border-color: rgba(0,0,0,0.3); padding: 8px; font-size: 14px;}
.table.dataTable>tbody>tr>td+td:last-child{ border-left:0px;}
.table.dataTable>tbody>tr>td:last-child{ border-left:0px;}
.pagination{ padding:0; margin:0;}

.nav-tabs li.active a{box-shadow: 0 -3px 5px rgba(0,0,0,0.06);}
.tab-content {box-shadow: 0 0 20px rgba(0,0,0,0.06);}
.panel-footer {border-radius: 0 0 5px 5px;}
.panel-header, .panel-body, .panel-footer { border-color: rgba(0,0,0,0); }
.nav-tabs {margin-top: 1em;}